/*
 *
 * Copyright 2017 by Kappich Systemberatung Aachen
 * 
 * This file is part of de.bsvrz.ars.ars.
 * 
 * de.bsvrz.ars.ars is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars.  If not, see <http://www.gnu.org/licenses/>.

 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436 
 * mail: <info@kappich.de>
 */

package de.bsvrz.ars.ars.persistence.index.result;

/**
 * TBD Dokumentation
 *
 * @author Kappich Systemberatung
 */
public class ArchiveTimeIndexEntry implements ContainerIndexResult {
	private final long _cID;
	private final long _dIMin;
	private final long _dIMax;
	private final long _aTMin;
	private final long _aTMax;
	private final long _dTMin;
	private final long _dTMax;

	public ArchiveTimeIndexEntry(final long cID, final long dIMin, final long dIMax, final long aTMin, final long aTMax, final long dTMin, final long dTMax) {
		_cID = cID;
		_dIMin = dIMin;
		_dIMax = dIMax;
		_aTMin = aTMin;
		_aTMax = aTMax;
		_dTMin = dTMin;
		_dTMax = dTMax;
	}

	@Override
	public long getContainerId() {
		return _cID;
	}

	@Override
	public long getDataIndexMinimum() {
		return _dIMin;
	}

	@Override
	public long getDataIndexMaximum() {
		return _dIMax;
	}

	public long getArchiveTimeMinimum() {
		return _aTMin;
	}

	public long getArchiveTimeMaximum() {
		return _aTMax;
	}

	public long getDataTimeMinimum() {
		return _dTMin;
	}

	public long getDataTimeMaximum() {
		return _dTMax;
	}

	@Override
	public ContainerIndexResult withDiMax(final long diMax) {
		return new ArchiveTimeIndexEntry(_cID, _dIMin, diMax, _aTMin, _aTMax, _dTMin, _dTMax);
	}
}
