/*
 *
 * Copyright 2017 by Kappich Systemberatung Aachen
 * 
 * This file is part of de.bsvrz.ars.ars.
 * 
 * de.bsvrz.ars.ars is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars.  If not, see <http://www.gnu.org/licenses/>.

 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436 
 * mail: <info@kappich.de>
 */

/**
 * TBD Dokumentation
 *
 * @author Kappich Systemberatung
 */

package de.bsvrz.ars.ars.persistence.iter;

import de.bsvrz.ars.ars.persistence.ContainerDataResult;
import de.bsvrz.ars.ars.persistence.PersistenceException;

import java.util.NoSuchElementException;

/**
 * @author Kappich Systemberatung
 * @version $Revision: 0000 $
 */
public class EmptyDataIterator implements DataIterator {
	private static final EmptyDataIterator ourInstance = new EmptyDataIterator();

	public static EmptyDataIterator getInstance() {
		return ourInstance;
	}

	private EmptyDataIterator() {
	}

	@Override
	public void peek(final ContainerDataResult result) throws PersistenceException {
		throw new NoSuchElementException();
	}

	@Override
	public long peekDataIndex() {
		throw new NoSuchElementException();
	}

	@Override
	public long peekDataTime() {
		throw new NoSuchElementException();
	}

	@Override
	public long peekArchiveTime() {
		throw new NoSuchElementException();
	}

	@Override
	public void remove() throws PersistenceException {
		throw new NoSuchElementException();
	}

	@Override
	public boolean isEmpty() {
		return true;
	}

	@Override
	public void close() throws PersistenceException {
	}

	@Override
	public long getCurContFileIdx() {
		throw new NoSuchElementException();
	}
}
